mapping(string:mixed) globals=([]);

mixed resolv(string what,string where)
{
	write("Retrieving %O for file %O: %d %O\n",what,where,hash_value(globals[what]),globals[what]);
	return globals[what];
}

void add_global(string name,mixed val)
{
	globals[name]=val;
	write("Adding %O: %d %O\n",name,hash_value(val),val);
}

int main(int argc,array(string) argv)
{
	add_constant("add_global",add_global);
	for (int i=0;i<4;++i)
	{
		write("***** Iteration: %d\n",i);
		compile_file("test.pike",this)();
		write("--> %d %O, %d %O\n",hash_value(globals->above),globals->above,hash_value(globals->below),globals->below);
	}
}
